Bug 38222 - sendmail 8.11.0-8 cannot use tcpwrapper
Summary: sendmail 8.11.0-8 cannot use tcpwrapper
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-28 21:59 UTC by Xavier Del Collado i Pics
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-28 21:59:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Xavier Del Collado i Pics 2001-04-28 21:59:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


When I try to use tcpwrapper with sendmail it doesn't work. sendmail-cf-
8.11.0-8.i386.rpm isn't compiled with this feature ( try "echo $v | 
sendmail -bt -d0" ). If I rebuild sendmail from sendmail-8.11.0-8.src.rpm, 
I get the same.
Looking into code, I've found where the problem is; sendmail-8.11.0-
redhat.patch uses -DTCP_WRAPPERS, instead -DTCPWRAPPERS, as sendmail code 
expects for.
If you change it, and rebuild again, it works...

Reproducible: Always
Steps to Reproduce:
1. try "echo $v | sendmail -bt -d0". If compiled with tcpwrapper support, 
you must see there this capability
2. use /etc/hosts.deny and /etc/hosts.allow. 

	

Actual Results:
1. sendmail doesn't have tcpwrapper capability
2. has no effect

Comment 1 Florian La Roche 2001-05-09 13:21:59 UTC
This should be corrected in the current version of Red Hat Linux 7.1.

Thanks for this report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.